﻿.roomlist_serchborder .search_Map_other{display:none;}
.notification-message-update {
    background-color: var(--main-color);
    padding: 1px 6px 0px 5px;
    color: #ffffff;
    font-weight: 500;
    font-size: 9px;
    position: absolute;
    float: right;
    right: 30px;
    bottom: -20px;
    width: 242px;
}
.notification-message-update i {
    position: absolute;
    top: -14px;
    color: var(--main-color);
    font-size: 24px;
    right: 8px;
}
.roomlist_serchborder #update-search-bt {
    position: absolute;
    right: 21px;
    width: auto;
    cursor: pointer;
    background-color: var(--btn-color-bg);
    color: var(--btn-colr-txt);
    border: 0px;
    font-size: 18px;
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: 1px;
    text-align: center;
    white-space: nowrap;
    top: 60px;
    padding: 9px 20px !important;
}
#update-search-submit {
    color: var(--btn-colr-txt) !important;
}
.map-canvas_outer, .map-canvas_outer #map-canvas {
    width: 287px;
    height: 158px
}
    .map-canvas_outer #map-canvas {
        border: 1px solid #878181;
        margin-left: -1px;
    }
.map-canvas_outer {
    padding-right: 10px !important;
    max-width: 297px;
}
.search-fields {
    width: calc(100% - 297px);
    max-width: calc(100% - 297px);
}
.roomlist_serchborder .h-tab_destinationinput {
display:none;
}
.main-search-bar .search-fields {
    width: calc(100% - 840px);
    max-width: calc(100% - 840px);
    padding-right: 5px;
    padding-left: 20px;
}
.main-search-bar #hotels{position:relative}
.main-search-bar .search-fields .autocomplete {
    width: 100% !important;
}
.main-search-bar .search-fields .autocomplete .destination-Input {
    border: var(--border);
    padding: 18px .75rem;
}
#search_form .search-label {
    font-size: 14px;
    padding-bottom: 4px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    margin-top: -5px;
    color:var(--main-color) !important;   
}
#search_form .search-label-rooms{text-align: center;}
#search_form .search-label-Adults{text-align: center;}
#search_form .search-label-child{text-align: center;}
.search-fields_dates {
    max-width: 180px;
    padding-right: 5px;
}
.form-control {
    border-radius: 0px;
    border: 0px;
    background-color:#fff !important;
}
.input-group {
    border:var(--border)
}
.input-group-addon img {
    padding: 8px 8px 7px 0;
}
.rm_ad_ch-cabin{max-width:285px}

.rm_ad_ch-cabin .dropdown-toggle::after {   
    margin-left: -21px;    
}
.rm_ad_ch-cabin .room-guest-selector, .rm_ad_ch-cabin .room-adult-selector, .rm_ad_ch-cabin .room-child-selector {
    display: inline;
    padding: 8px 23px 10px 16px;
    border: var(--border)
}

.rm_ad_ch-cabin-top {
    padding-top: 7px;
}
.search-result-form .rm_ad_ch-cabin-top {
    padding-top: 8px;
}
.rm_ad_ch-cabin .input-group-addon {
    border: 0px;
    border-bottom-color: currentcolor;
    border-bottom-style: none;
    border-bottom-width: 0px;
    border-bottom: 0px solid #000;
    color: #ffffff;
    cursor: pointer;
    padding: 5px 8px;
}
.search-label-space-home {
padding-top:12px;
}
.search-result-form .search-label-space-home {
    padding-top:18px;
    }
.custom-button {
    background-color: var(--btn-color-bg);
    color: var(--btn-colr-txt);
    padding: 9px 0px;
    border: 0px;
    font-size: 18px;
    text-transform: uppercase;
    width: 100%;
    font-weight: 600;
    letter-spacing: 1px;
    text-align:center;white-space:nowrap;
}
.destination-Input {
    border: var(--border);
    padding: 20px .75rem;
}
.searchdestination {
    max-width: 478px;
    padding-top: 32px;
}
.Option_FilterBy {
    position: absolute;
    right: 215px;
    bottom: 21px;
}
.FilterBy_input {
    border: var(--border);
    width: 160px;
    height: 43px;
    line-height: 42px;
}
#filter_data img {
    padding-right: 25px;
}

#filter_data {
    padding-left: 20px;
    display: inline-block;
    width: calc(100% - 20px);
    color:#495057 !important;
}
.Option_SortBy {
    position: absolute;
    right: 23px;
    bottom: 21px;
    width:172px;
}
.Option_SortBy .dropdown-toggle::after {
    margin-top: 18px;
    margin-right: 10px;
}
    .Option_SortBy .sort-type {
        overflow: hidden;
        text-overflow: ellipsis;
        padding: 3px 0px;
    }
.Option_SortBy .sort-type .form-control {
    overflow: hidden;
    text-overflow: ellipsis;
}
.search_Map_other {
    padding-right:25px}
.room-guests-block input {
    padding: 0 .75rem;
    text-align:center;
    max-width:40px;width:40px;
}
.room-guests-block .input-group-btn button, .room-guests-block .input-group-btn button:focus, .room-guests-block .input-group-btn button:active {
    background-color: var(--link-color);
    border: 0px;
    padding: 0px 6px;
    box-shadow: 0px;
    line-height: inherit;
}
.room-guests-block .input-group {
    border: 0px;padding:0px 15px;
}
.room-guests-block .input-group .text{padding-left:15px;font-size:13px;}
.room-guests-block {
    border: var(--border);
    border-left:0px;border-top:0px;border-right:0px;
    max-width:226px;
    width:100%;
}
.room-guest-amount-select{border-radius:0px}
.add-other-room {
    padding: 8px;
    padding-bottom: 0px;
    text-align: center;
}
.children-count {
    padding: 0px 0px 10px 0px;
}
div[id*="ddlList1_"] {
    color: var(--text-color) ;font-size: 12px;
}
.datepicker, .form-control, .FilterBy_input {
    cursor: pointer;
}
.datepicker table tr > th > i {
    color: var(--link-color);
}
.datepicker table thead > tr:first-child > th.datepicker-switch {
    color: var(--link-color);
}
.datepicker table thead > tr:first-child > th, .datepicker table tfoot > tr:first-child > th {
    color: var(--link-color);
}
.table-condensed > tbody > tr > td, .table-condensed > tbody > tr > th, .table-condensed > tfoot > tr > td, .table-condensed > tfoot > tr > th, .table-condensed > thead > tr > td, .table-condensed > thead > tr > th {
    padding: 5px;
}
.datepicker td, .datepicker th {
    text-align: center;
    width: 20px;
    height: 20px;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    border: none;
}
.datepicker table tr td.disabled, .datepicker table tr td.disabled:hover {
    background: none;
    color: #999999;
    cursor: default;
}

.datepicker table tr > td {
    padding: 3px;
    border: 1px solid white;
}
.datepicker table .today.day {
    font-weight: bold;
    background: white !important;
    border-color: white;
}
.datepicker table tr td.today, .datepicker table tr td.today:hover, .datepicker table tr td.today.disabled, .datepicker table tr td.today.disabled:hover {
    background-color: #fceedb;
    border-color: #fcf9db;
    color: #000 !important;
}
.datepicker table tr td.active:hover, .datepicker table tr td.active:hover:hover, .datepicker table tr td.active.disabled:hover, .datepicker table tr td.active.disabled:hover:hover, .datepicker table tr td.active:focus, .datepicker table tr td.active:hover:focus, .datepicker table tr td.active.disabled:focus, .datepicker table tr td.active.disabled:hover:focus, .datepicker table tr td.active:active, .datepicker table tr td.active:hover:active, .datepicker table tr td.active.disabled:active, .datepicker table tr td.active.disabled:hover:active, .datepicker table tr td.active.active, .datepicker table tr td.active:hover.active, .datepicker table tr td.active.disabled.active, .datepicker table tr td.active.disabled:hover.active {
    background-color: var(--link-color);
    border-color: var(--link-color);
}
.datepicker table tr td.active, .datepicker table tr td.active:hover, .datepicker table tr td.active.disabled, .datepicker table tr td.active.disabled:hover {
    background-color: #428bca;
    border-color: #425eca;
    color: #fff;
    text-shadow: 0 -1px 0 rgba(0,0,0,0.25);
}
.datepicker table {
    margin-top: 10px;
    border-spacing: 3px;
    border-collapse: inherit;
    border-collapse-color: var(--main-color);
    border-collapse-background-color: transparent;
}
.datepicker.datepicker-dropdown {
    margin-top: 12px;
}
.datepicker-dropdown::before {
    content: '';
    display: inline-block;
    border-left: 7px solid transparent;
    border-right: 7px solid transparent;
    border-bottom: 7px solid #ccc;
    border-bottom-color: rgb(204, 204, 204);
    border-bottom-color: rgba(0,0,0,0.2);
    position: absolute;
    top: -7px;
    left: 6px;
}
.display_manage {
    display: none;
}
.rm_ad_ch-cabin-top div {
padding:0 18px;}
.room-guest-amount-select div{padding: 5px 0px}
.roomlist_serchborder {
    border: var(--border);
}
.Search_Title {
    font-family: var(--font-bold-family);
    font-size: 16px;
    line-height: 14px;
    padding-bottom: 10px;
}
.roomlist_serchborder {
    position: relative
}
.srchbrn-roomShow {
    padding-right: 20px;
    float: right;
    max-width: 200px;width:200px;
    right: 0px;
    position: absolute;
}
#search_form input, #search_form label, .form-control {
    font-size: 14px
}

@media all and (min-width:992px) and (max-width: 1199px) {
    .map-canvas_outer {       
        max-width: 265px;
    }
    .map-canvas_outer, .map-canvas_outer #map-canvas { width: 250px;    }
    .search-fields_dates {
        max-width: 150px;
        padding-right: 15px;
        padding-left: 0px;
    }
    .rm_ad_ch-cabin {
        max-width: 204px;
    }
    .rm_ad_ch-cabin .col-4.pr-0{padding-left:0px !important}   
    .rm_ad_ch-cabin-top div {
        padding: 0px;
    }

    .rm_ad_ch-cabin .room-guest-selector, .rm_ad_ch-cabin .room-adult-selector, .rm_ad_ch-cabin .room-child-selector {       
        padding: 8px 10px 10px 13px;      
    }
    .search-fields {
        width: calc(100% - 265px);
        max-width: calc(100% - 265px);
    }
    .search_Map_other {
        padding-right: 19px;
    }
    .searchdestination {
        padding-left: 0px;
        max-width: 297px !important;
        padding-right: 0;
    }
    .Option_FilterBy {        
        right: 205px;
    }
    .FilterBy_input {       
        width: 188px;
    }
    .Option_SortBy {
        right: 20px;
        width: 169px;
    }
    .main-search-bar .search-fields {
        width: calc(100% - 50%);
        max-width: calc(100% - 50%);
        padding-right: 20px;
    }
    .main-search-bar .search-fields_dates {
        max-width: 25%;
        padding-right: 20px !important;
    }
    .main-search-bar .rm_ad_ch-cabin {
        max-width: 50%;
        padding-left: 20px !important;
        padding-top: 10px !important;
        padding-right: 20px !important;
    }
    .main-search-bar .rm_ad_ch-cabin-top {
        padding-top: 5px;
    }
    .srchbrn-roomShow {
        padding-right: 20px !important;
        float: right;
        max-width: 50%;
        width: 200px;
        right: 0px;
        position: inherit;
        bottom: 0px;
        width: 100%;
    }
    .main-search-bar .room-adult-dropdown{text-align:center;}
    .main-search-bar .search-label-Adults {
        text-align: center;
    }
    .main-search-bar .room-child-dropdown {
        text-align: right;
        padding-right: 15px;
    }
    .main-search-bar .search-label-child {
        text-align: right;
    }
    
.search-label-space-home {
    padding-top: 20px;
}
    .rm_ad_ch-cabin .col-4.pr-0 div {
        text-align: left !important;
    }
    .main-search-bar .rm_ad_ch-cabin .room-guest-selector, .main-search-bar .rm_ad_ch-cabin .room-adult-selector, .main-search-bar .rm_ad_ch-cabin .room-child-selector {
        padding: 8px 32px 10px 13px;
    }
    .main-search-bar #search_form .search-label-Adults {
        text-align: center !important;
    }
    .main-search-bar #search_form .search-label-child {
        text-align: right !important;
        padding-right: 20px;
    }

    }
@media all and (min-width: 768px) and (max-width:991px) {
    .map-canvas_outer {
        order: 2;
        padding: 0px 16px !important;
    }
    .map-canvas_outer, .map-canvas_outer #map-canvas {
        width: 100%;
        max-width:100%;
    }
    .search-fields {
        width: 100%;
        max-width: 100%;
    }
    #search_form_Div {
    padding-bottom:15px;
    }
    .searchdestination {
        max-width: 350px;
        padding-top: 15px;
    }
    .search-fields_dates {
        max-width: 163px;
        padding-right: 3px;
    }
    .FilterBy_input {       
        width: 184px;
    }
    .Option_FilterBy {       
        right: 195px;
        bottom: 16px;
    }
    .rm_ad_ch-cabin {
        max-width: 190px;
    }
    .Option_SortBy {       
        right: 15px;
        bottom: 16px;
        width: 168px;
    }
    .rm_ad_ch-cabin-top div {
        padding: 0 13px;
    }
    .search_Map_other {
        padding-right: 16px;
    }
    .search_Map_other {
        padding-right: 16px;
        padding-left: 18px !important;
    }
    .rm_ad_ch-cabin .room-guest-selector, .rm_ad_ch-cabin .room-adult-selector, .rm_ad_ch-cabin .room-child-selector {       
        padding: 8px 12px 10px 16px;
    }
    .search-tabs-details {        
        padding-bottom: 16px;
    }
    .roomlist_serchborder #search_form {
        margin-bottom: 0px;
    }
    .main-search-bar .search-fields {
        width: calc(100% - 50%);
        max-width: calc(100% - 50%);
        padding-right: 20px;
    }
    .main-search-bar .search-fields_dates {
        max-width: 25%;
        padding-right: 20px !important;
        padding-left:0px;
    }
    .main-search-bar .rm_ad_ch-cabin {
        max-width: 50%;
        padding-left: 20px !important;
        padding-top: 10px !important;
        padding-right: 20px !important;
    }
    .main-search-bar .rm_ad_ch-cabin-top {
        padding-top: 5px;
    }
    .main-search-bar .srchbrn-roomShow {
        padding-right: 20px !important;
        float: right;
        max-width: 50%;
        position: inherit;
        width: 100%;
        padding-left: 0px !important;
    }
    .main-search-bar .room-adult-dropdown {
        text-align: center;
    }
    .main-search-bar .search-label-Adults {
        text-align: center;
    }
    .main-search-bar .room-child-dropdown {
        text-align: right;
        padding-right: 15px;
    }
    .main-search-bar .search-label-child {
        text-align: right;
    }
    .main-search-bar .search-label-rooms {
        margin-left: -15px
    }
    .main-search-bar .search-label-space-home {
        padding-top: 18px;
    }
    .main-search-bar .form-group {
        margin:0px;
    }
    .main-search-bar .rm_ad_ch-cabin-top .room-guest-dropdown {
        padding: 0px !important;
    }

    .roomlist_serchborder #update-search-bt {       
        padding: 8px 20px !important; font-size: 16px;
        top: 66px;
    }
   
}
@media all and (min-width:576px) and (max-width: 767px) {
    .search-fields {
        width: 100%;
        max-width: 100%;
    }
    .search-fields_dates {
        max-width: 50%;
        padding: 0px;
    }
    #search_form .col-12.search-fields_dates.pt-1 {
        padding: 0px 4px 15px 15px;
        order: 2;
    }
    #search_form .col-12.search-fields_dates {
        padding: 0px 20px 15px 15px;
        order: 2;
    }
    #search_form .col-12.search-fields_dates.search-fields_dates-Arrival {
        padding: 0px 0px 15px 15px;
        order: 1;
    }
    #search_form .col-6.search-fields_dates {
        padding: 0px 15px 15px 19px;
        order: 3;
    }
    .rm_ad_ch-cabin {
        order: 4;
        width: 50%;
        max-width: 50%;
        margin-right: 15px;
    }
    .search_Map_other {
        order: 5;
        bottom: -68px;
        padding-left: 5px !important;
        padding-right: 15px;
    }
    .roomlist_serchborder .search_Map_other {
        order: 5;
        bottom: 7px;
        padding-left: 5px !important;
    }
    .searchdestination {
        order: 1;
        padding: 0px 15px 15px 15px;
    }
    .searchdestination .autocomplete{width:100% !important;}
    .search-result-form .search-label-space-home {
        padding-top: 14px;
    }
    #search_form_Div {
        height: 280px;
    }
    .roomlist_serchborder #search_form_Div {
        height: auto;
    }
    .Option_FilterBy {
        right: 15px;
        bottom: 84px;
    }
    .FilterBy_input {        
        width: 235px;
        height: 38px;
    }
    .Option_SortBy {      
        left: 18px;
        bottom: 22px;
        width: 163px;
    }
    .custom-button {
        padding: 7px 20px;
    }
    .map-canvas_outer {
        position: absolute;
        border: var(--border);
        max-width: 66px;
        height: 40px;
        bottom: 24px;
        left: 200px;
        padding-right: 0px !important;
        margin-left: 0px;
    }
    .map-canvas_outer, .map-canvas_outer #map-canvas {
        width: 100%;
        height: 40px;z-index: 5;
    }
    .main-search-bar .search-fields {
        width: 100%;
        max-width: 100%;
        padding-right: 20px;
        flex: 0 0 100%;
    }
    .main-search-bar .search-fields_dates {
        max-width: 50%;
        padding: 0px 20px 0px 20px !important;
    }
    .main-search-bar .search-fields_dates.search-fields_dates-Arrival{padding-right:0px !important;}
    .main-search-bar .rm_ad_ch-cabin {
        max-width: 50%;
        padding-left: 20px !important;
        margin-right: 20px;
    }
    .main-search-bar .rm_ad_ch-cabin-top {
        padding-top: 5px;
    }
    .main-search-bar .srchbrn-roomShow {
        padding-right: 20px !important;
        float: right;
        max-width: 50%;
        position: inherit;
        width: 100%;
        padding-left: 0px !important;
    }
    .main-search-bar .room-adult-dropdown {
        padding: 0 8px;
    }
    .main-search-bar .search-label-Adults {
        text-align: center;
    }
    .main-search-bar .room-child-dropdown {
        text-align: right;
        padding: 0 13px;
    }
    .main-search-bar .search-label-child {
        text-align: right;
    }
    .main-search-bar .search-label-rooms {
        margin-left: -15px
    }
    .main-search-bar .search-label-space-home {
        padding-top: 12px;
    }
    .main-search-bar .form-group {
        margin:0px;
    }
    .main-search-bar .rm_ad_ch-cabin-top .room-guest-dropdown {
        padding: 0px !important;
    }
    .main-search-bar #search_form_Div {
        height: 210px;
    }
    .roomlist_serchborder #update-search-bt {
        position: absolute;
        right: 21px;
        width: 230px;
        cursor: pointer;
        background-color: var(--btn-color-bg);
        color: var(--btn-colr-txt);
        border: 0px;
        font-size: 18px;
        text-transform: uppercase;
        font-weight: 600;
        letter-spacing: 1px;
        text-align: center;
        white-space: nowrap;
        top: 142px;
        padding: 5px 20px !important;
    }
    .roomlist_serchborder {
        padding-bottom: 15px;
    }
}
@media all and (min-width:0px) and (max-width: 575px) {
    .search-fields {
        width: 100%;
        max-width: 100%;
    }

    .search-fields_dates {
        max-width: 50%;
        padding: 0px;
    }

    #search_form .col-12.search-fields_dates {
        padding: 0px 7px 15px 15px;
        order: 2;
    }

    #search_form .col-6.search-fields_dates {
        padding: 0px 15px 15px 8px;
        order: 2;
    }

    .rm_ad_ch-cabin {
        order: 4;
        width: 100%;
        max-width: 100%;
        margin-right: 15px;
    }

    .search_Map_other {
        bottom: -69px !important;
        padding: 0 15px !important;
        order: 5;
    }

    .searchdestination {
        order: 1;
        padding: 0px 15px 15px 15px;
    }

        .searchdestination .autocomplete {
            width: 100% !important;
        }

    #search-options #hotels {
        height: 340px;
    }
    .rm_ad_ch-cabin-top div {
        padding: 0 8px;
    }
    .rm_ad_ch-cabin-top {
        padding: 0px 8px;
    }
    .rm_ad_ch-cabin .room-guest-selector, .rm_ad_ch-cabin .room-adult-selector, .rm_ad_ch-cabin .room-child-selector {       
        width: 100%;
        display: inline-block;
    }
    .Option_FilterBy {
        right: 15px;
        bottom: -9px; 
        width: calc(100% - (15px + 65px + 18px) - (32% + 17px));
    }

    .FilterBy_input {
        width: 100%;
        height: 41px;      
    }

    .Option_SortBy {
        left: 15px;
        bottom: -10px;
        width: calc(32.6% - 16px);
    }

    .custom-button {
        padding: 7px 20px;
    }

    .map-canvas_outer {
        position: absolute;
        border: var(--border);
        max-width: 65px;
        height: 40px;
        bottom: 78px;
        left: calc(32.6% + 15px);
        padding-right: 0px !important;
    }

        .map-canvas_outer, .map-canvas_outer #map-canvas {
            width: 100%;
            height: 40px;
            z-index: 200;
            margin-left: 0px
        }
    .search-label-space-home {
        padding-top: 5px;
    }
    .roomlist_serchborder{height:250px;}
    .roomlist_serchborder .search_Map_other {
        order: 5;
        bottom: 14px;
        padding: 0 15px !important;
        max-width: 100%;
    }
    .roomlist_serchborder #search_form_Div .col-12.search-fields_dates:nth-child(3) {
        padding: 0px 15px 16px 7px;
    }
    .main-search-bar .search-fields {
        width: 100%;
        max-width: 100%;
        padding-right: 20px;
        flex: 0 0 100%;
        padding-bottom: 10px;
    }
    .main-search-bar .search-fields_dates {
        max-width: 50%;
        padding: 0px 20px 10px 20px !important;
        order: 0 !important;
    }
    .main-search-bar .search-fields_dates.search-fields_dates-Arrival{padding-right:0px !important;order: 0 !important;}
    .main-search-bar .rm_ad_ch-cabin {
        max-width: 50%;
        padding-left: 20px !important;
        margin-right: 20px;
        order: 0;
    }
    .main-search-bar .rm_ad_ch-cabin-top {
        padding: 0px;
    }
    .main-search-bar .srchbrn-roomShow {
        padding-right: 20px !important;
        float: right;
        max-width: 50%;
        position: inherit;
        width: 100%;
        padding-left: 0px !important;
    }
    .main-search-bar .room-adult-dropdown {
        padding: 0 0px 0 9px;
    }
    .main-search-bar .search-label-Adults {
        text-align: center;
    }
    .main-search-bar .room-child-dropdown {
        text-align: right;
        padding: 0 9px 0 0;
    }
    .main-search-bar .search-label-child {
        text-align: right;
    }
    .main-search-bar .search-label-rooms {
        margin-left: -15px
    }
    .main-search-bar .search-label-space-home {
        padding-top: 12px;
    }
    .main-search-bar .form-group {
        margin:0px;
    }
    .main-search-bar .rm_ad_ch-cabin-top .room-guest-dropdown {
        padding: 0px !important;
    }
    .main-search-bar  #hotels {
    height: 225px !important}
    #search_form .search-label {
        font-size: 12px;
    }
    .rm_ad_ch-cabin .col-4.pr-0 {
        padding-left: 0px !important;
    }
    .roomlist_serchborder #update-search-bt {
        right: 15px;
        width: calc(100% - 30px);
        top: inherit;
    }
    .roomlist_serchborder {
        padding-bottom: 5px;
    }
}
@media all and (min-width:0px) and (max-width: 400px) {
    .map-canvas_outer {        
        max-width: calc(32.6% - 21px);
    }
    .Option_FilterBy {      
        width: calc(100% - ((32% + 16px) * 2 ) );
    }
}